/*
 * staticData.h
 *
 *  Created on: 24.01.2015
 *      Author: daniel
 */

#ifndef SRC_STATICDATA_H_
#define SRC_STATICDATA_H_

#define INITIALVOLUME 0xc0

void initStaticSram();
uint8_t staticDataGetVolume();
void staticDataSetVolume(uint8_t newVolume);
int8_t staticDataGetToneL();
void staticDataSetToneL(int8_t newVolume);
int8_t staticDataGetToneH();
void staticDataSetToneH(int8_t newVolume);
void staticDataSetPlaybackFile(const uint8_t foldernumber, const uint32_t currentFile);
void staticDataResetPlaybackPosition();
//void staticDataIncPlaybackPosition(const uint32_t bytesRead);
void staticDataSetPlaybackPosition(const uint32_t bytesRead);
int staticDataCompareFoldername(const uint8_t foldernumber, const char *shortname);
void staticDataSetFoldername(const uint8_t foldernumber, const char *shortname);
uint32_t staticDataGetCurrentFile(const uint8_t foldernumber);
uint32_t staticDataGetpositionInFile();
void staticDataRewind(const uint8_t directory);

#endif /* SRC_STATICDATA_H_ */
